### Method

# Gimp Drawable get_thumbnail_data

#### Declaration [src]

    guchar*
    gimp_drawable_get_thumbnail_data (
      GimpDrawable* drawable,
      gint* width,
      gint* height,
      gint* bpp
    )

#### Description [src]

Retrieves thumbnail data for the drawable identified by `drawable`. The thumbnail will be not larger than the requested size.

#### Parameters

`width`

  Type: `gint*`

  The requested thumbnail width (<= 1024 pixels)

  The argument will be modified by the function.

`height`

  Type: `gint*`

  The requested thumbnail height (<= 1024 pixels)

  The argument will be modified by the function.

`bpp`

  Type: `gint*`

  The bytes per pixel of the returned thubmnail data.

  The argument will be set by the function.

#### Return value

Type: An array of `guchar`

Thumbnail data or `NULL` if `drawable` is invalid.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.